[CentOS-devel] glibc.spec patch for Xen compatibility/repo

Michael Best mbest at pendragon.org
Mon Dec 5 17:29:48 UTC 2005

The version of glibc that comes in the Xen-3.0 binary release is 
2.3.4-2.9 and is outdated by the new glibc package 2.3.4-2.13 this is a 
patch to the glibc-2.3.4-2.13.src.rpm to build an up to date xen 
compatible glibc.

To be added to a Xen repository, something like the test repo:

--- glibc-2.3.4-2.13.spec       2005-12-05 10:27:53.000000000 -0700
+++ glibc.spec  2005-12-05 09:35:08.000000000 -0700
@@ -1,7 +1,7 @@
  %define glibcdate 20050704T1133
  %define glibcname glibc-2.3
  %define glibcversion 2.3.4
-%define glibcrelease 2.13
+%define glibcrelease 2.13.xen.0
  %define auxarches i586 i686 athlon sparcv9 alphaev6
  %define prelinkarches noarch
  %define nptlarches i386 i686 athlon x86_64 ia64 s390 s390x sparcv9 ppc 
@@ -562,7 +562,7 @@
  mkdir build-%{_target_cpu}-linux ; cd build-%{_target_cpu}-linux
  %ifarch %{ix86}
+BuildFlags="-march=%{_target_cpu} -mno-tls-direct-seg-refs"
  %ifarch alphaev6
@@ -1393,6 +1393,9 @@

+* Mon Dec  5 2005 Michael Best <mbest at pendragon.org> 2.3.4-2.13.xen.0
+- glibc compatability for Xen, added BuildFlag -mno-tls-direct-seg-refs
  * Fri Aug 19 2005 Jakub Jelinek <jakub at redhat.com> 2.3.4-2.13
  - change sys/quota.h to default to -D_LINUX_QUOTA_VERSION=1.
    If you want to use sys/quota.h for the quota ABI that is actually

More information about the CentOS-devel mailing list